<script lang="ts">
import Vue from 'vue';
import TheSourceNavigation from '~/components/the-source/navigation.vue';
import SlpFooterHOC from '~/components/navigation/footer-hoc.vue';
import TheSourceNewsletter from '~/components/the-source/newsletter.vue';
import { LocalizedHrefMixin } from '~/mixins';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { generateLayoutMeta } from '~/common/meta';

export default Vue.extend({
  components: {
    TheSourceNewsletter,
    SlpFooterHOC,
    TheSourceNavigation,
  },
  mixins: [LocalizedHrefMixin],
  head(): MetaInfo {
    return generateLayoutMeta(this.$route.path, this.$i18n.locale);
  },
});
</script>

<template>
  <div>
    <TheSourceNavigation />
    <section ref="localizedContainer">
      <Nuxt role="main" />
    </section>
    <TheSourceNewsletter />
    <div id="the-source-layout">
      <SlpFooterHOC />
    </div>
  </div>
</template>

<style lang="scss" scoped>
#the-source-layout {
  @media (width <= $breakpoint-md - 1) {
    overflow: hidden;
  }
}
</style>
